## org.opennms.netmgt.snmp.snmp4j
Class Snmp4JWalker.Snmp4JPduBuilder

    java.lang.Object
      org.opennms.netmgt.snmp.PduBuilder
          org.opennms.netmgt.snmp.snmp4j.Snmp4JWalker.Snmp4JPduBuilder

Direct Known Subclasses:
  Snmp4JWalker.GetBulkBuilder, Snmp4JWalker.GetNextBuilder

Enclosing class:
  Snmp4JWalker

    public abstract static class Snmp4JWalker.Snmp4JPduBuilder

extends org.opennms.netmgt.snmp.PduBuilder

Constructor Summary
`Snmp4JWalker.Snmp4JPduBuilder(int maxVarsPerPdu)`

Method Summary
`abstract org.snmp4j.PDU` `getPdu()`

Methods inherited from class org.opennms.netmgt.snmp.PduBuilder
`addOid, getMaxVarsPerPdu, setMaxRepetitions, setMaxVarsPerPdu, setNonRepeaters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Snmp4JWalker.Snmp4JPduBuilder

    public Snmp4JWalker.Snmp4JPduBuilder(int maxVarsPerPdu)

Method Detail

### getPdu

    public abstract org.snmp4j.PDU getPdu()

Copyright © 2009. All Rights Reserved.